org.apache.cassandra.db.compaction

## Class DateTieredCompactionStrategyOptions

- java.lang.Object
- - org.apache.cassandra.db.compaction.DateTieredCompactionStrategyOptions

    public final class DateTieredCompactionStrategyOptions
    extends java.lang.Object

### Field Summary

Fields
`protected static java.lang.String` `BASE_TIME_KEY`
`protected long` `baseTime`
`protected static long` `DEFAULT_BASE_TIME_SECONDS`
`protected static int` `DEFAULT_EXPIRED_SSTABLE_CHECK_FREQUENCY_SECONDS`
`protected static double` `DEFAULT_MAX_SSTABLE_AGE_DAYS` Deprecated.
`protected static long` `DEFAULT_MAX_WINDOW_SIZE_SECONDS`
`protected static java.util.concurrent.TimeUnit` `DEFAULT_TIMESTAMP_RESOLUTION`
`protected static java.lang.String` `EXPIRED_SSTABLE_CHECK_FREQUENCY_SECONDS_KEY`
`protected long` `expiredSSTableCheckFrequency`
`protected static java.lang.String` `MAX_SSTABLE_AGE_KEY` Deprecated.
`protected static java.lang.String` `MAX_WINDOW_SIZE_KEY`
`protected long` `maxSSTableAge` Deprecated.
`protected long` `maxWindowSize`
`protected static java.lang.String` `TIMESTAMP_RESOLUTION_KEY`

### Constructor Summary

Constructors
Constructor and Description
`DateTieredCompactionStrategyOptions()`
`DateTieredCompactionStrategyOptions(java.util.Map<java.lang.String,java.lang.String> options)`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.util.Map<java.lang.String,java.lang.String>` `validateOptions(java.util.Map<java.lang.String,java.lang.String> options, java.util.Map<java.lang.String,java.lang.String> uncheckedOptions)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_TIMESTAMP_RESOLUTION

    protected static final java.util.concurrent.TimeUnit DEFAULT_TIMESTAMP_RESOLUTION

#### DEFAULT_MAX_SSTABLE_AGE_DAYS

    @Deprecated
    protected static final double DEFAULT_MAX_SSTABLE_AGE_DAYS

Deprecated.

See Also:
  Constant Field Values

#### DEFAULT_BASE_TIME_SECONDS

    protected static final long DEFAULT_BASE_TIME_SECONDS

See Also:
  Constant Field Values

#### DEFAULT_MAX_WINDOW_SIZE_SECONDS

    protected static final long DEFAULT_MAX_WINDOW_SIZE_SECONDS

#### DEFAULT_EXPIRED_SSTABLE_CHECK_FREQUENCY_SECONDS

    protected static final int DEFAULT_EXPIRED_SSTABLE_CHECK_FREQUENCY_SECONDS

See Also:
  Constant Field Values

#### TIMESTAMP_RESOLUTION_KEY

    protected static final java.lang.String TIMESTAMP_RESOLUTION_KEY

See Also:
  Constant Field Values

#### MAX_SSTABLE_AGE_KEY

    @Deprecated
    protected static final java.lang.String MAX_SSTABLE_AGE_KEY

Deprecated.

See Also:
  Constant Field Values

#### BASE_TIME_KEY

    protected static final java.lang.String BASE_TIME_KEY

See Also:
  Constant Field Values

#### EXPIRED_SSTABLE_CHECK_FREQUENCY_SECONDS_KEY

    protected static final java.lang.String EXPIRED_SSTABLE_CHECK_FREQUENCY_SECONDS_KEY

See Also:
  Constant Field Values

#### MAX_WINDOW_SIZE_KEY

    protected static final java.lang.String MAX_WINDOW_SIZE_KEY

See Also:
  Constant Field Values

#### maxSSTableAge

    @Deprecated
    protected final long maxSSTableAge

Deprecated.

#### baseTime

    protected final long baseTime

#### expiredSSTableCheckFrequency

    protected final long expiredSSTableCheckFrequency

#### maxWindowSize

    protected final long maxWindowSize

### Constructor Detail

#### DateTieredCompactionStrategyOptions

    public DateTieredCompactionStrategyOptions(java.util.Map<java.lang.String,java.lang.String> options)

#### DateTieredCompactionStrategyOptions

    public DateTieredCompactionStrategyOptions()

### Method Detail

#### validateOptions

    public static java.util.Map<java.lang.String,java.lang.String> validateOptions(java.util.Map<java.lang.String,java.lang.String> options,
                                                                                   java.util.Map<java.lang.String,java.lang.String> uncheckedOptions)
                                                                            throws ConfigurationException

Throws:
  `ConfigurationException`